/*
 *  TOPPERS Software
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *
 *  Copyright (C) 2014-2015 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡAUTOSARAUTomotive Open System ARchitecture˻
 *  ͤ˴ŤƤ롥嵭εϡAUTOSARŪ⻺Τ
 *  ϤʤAUTOSARϡAUTOSARͤ˴ŤեȥŪ
 *  ѤԤФơAUTOSARѡȥʡˤʤ뤳ȤƤ롥
 *  
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: can_if.h 122 2015-07-17 01:31:28Z ertl-honda $
 */

/*
 *		CANɥ饤ФΥ󥿥ե
 */

#ifndef TARGET_CAN_IF_H
#define TARGET_CAN_IF_H

/*
 *  CANϢ : ܥǥϥޥCAN᡼ܥåID
 */
#define BODYCMD_CANMSG_TXMBOX_ID		0
#define BODYCMD_CANMSG_RXMBOX_ID		0

/*
 *  CANϢ : ϥޥCANåCAN᡼ܥåID
 */
#define CONTCMD_CANMSG_TXMBOX_ID		2 
#define CONTCMD_CANMSG_RXMBOX_ID		1

/*
 *  CANν
 */
extern void tCanInit(void);

/*
 *  ᡼ܥå
 */
extern void tCanSetMailBoxInfo(uint8 mb_id, uint8 direction,
							   uint32 id, uint8 mask);

/*
 *  CAN̿ͭ
 */
extern void tCanEnable(void);

/*
 *  CANǡ
 */
extern uint8 tCanGetRxData(uint8 mb_id, uint8 id, uint8 *p_data, uint8 *p_len);

/*
 *  CANǡμ
 */
extern uint8 tCanSetTxData(uint8 mb_id, uint8 id, uint8 *p_data, uint8 len);

#endif /* TARGET_CAN_IF_H */
